> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a single audit log entry by UUID

> Returns 404 if the entry does not belong to the authenticated
organization.



## OpenAPI

````yaml /api-reference/openapi.json get /audit-logs/{uuid}
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /audit-logs/{uuid}:
    get:
      tags:
        - Audit log
      summary: Fetch a single audit log entry by UUID
      description: |-
        Returns 404 if the entry does not belong to the authenticated
        organization.
      operationId: v1.audit-logs.show
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '`AuditLogApiResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AuditLogApiResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    AuditLogApiResource:
      type: object
      properties:
        id:
          type: string
        component:
          type: string
        action:
          type: string
        actorId:
          type:
            - integer
            - 'null'
        ipAddress:
          type:
            - string
            - 'null'
        userAgent:
          type:
            - string
            - 'null'
        target:
          type:
            - object
            - 'null'
          properties:
            type:
              type:
                - string
                - 'null'
            id:
              type:
                - string
                - 'null'
          required:
            - type
            - id
        metadata:
          type:
            - object
            - 'null'
          additionalProperties: {}
        createdAt:
          type:
            - string
            - 'null'
      required:
        - id
        - component
        - action
        - actorId
        - ipAddress
        - userAgent
        - target
        - metadata
        - createdAt
      title: AuditLogApiResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````